Bug 7075 - Incorrect EPS export when using RU locale
: Incorrect EPS export when using RU locale
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dia)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-13 14:43 by
Modified: 2005-08-26 12:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-13 14:43:08
When exporting diagram into .eps file, DIA uses current LC_NUMERIC for
generating nombers in PostScript. So, using RU locale produces floating numbers
as this:
1,000 (i. e. comma instead of petiod). PostScript fails on this!
Steps to Reproduce:
1. Create any diagram (e. g. picture.dia)
2. dia picture.dia -e picture.eps
3. gs -q -dBATCH -dNOPAUSE -sDEVICE=bbox picture.eps
Actual Results:  
Error: /undefined in 28,346000
. . .
ESP Ghostscript 7.07.1: Unrecoverable error, exit code 1

$ grep 28.346000 picture.eps    
28,346000 -28,346000 scale


Expected Results:  
2. LC_ALL=C dia picture.dia -e picture.eps
3. gs -q -dBATCH -dNOPAUSE -sDEVICE=bbox picture.eps
%%BoundingBox: 0 0 431 431

$ grep 28.346000 picture.eps 
28.346000 -28.346000 scale
------- Comment #1 From 2005-06-13 14:44:12 -------
It's probably upstream bug so it reproduces under FreeBSD.
------- Comment #2 From 2005-06-21 22:49:31 -------
Да, проблема в Апстриме, но самого главного - версии! 
не указано :( 
Да, действительно, присутствует в dia-0.94-alt8cvs20050313 
------- Comment #3 From 2005-08-01 01:29:04 -------
fixed in dia-0.94-alt9cvs20050730